import React from 'react';
import '../styles/LoginForm.css';
import { GoogleLogin } from 'react-google-login';
import { API_URL, CLIENT_ID } from '../config/keys';
import axios from 'axios';
import authHeader from '../helpers/services/authHeader.service';

export default function LoginForm(props) {
  const handleGoogleLogin = (response) => {
    localStorage.setItem('user', JSON.stringify(response));
    props.history.push('/page/1');
    callback();
  };

  async function callback() {
    var response = await axios.get(`${API_URL}/auth/google/callback`, {
      headers: authHeader(),
    });
    localStorage.setItem('user', JSON.stringify(response));
    window.location.reload();
  }

  const handleGoogleLoginFailed = () => {};

  return (
    <div className="loginFormContainer">
      <h1><b>Login to discuss anything on Diskuy</b></h1>
      <div className="App">
        <GoogleLogin
          clientId={CLIENT_ID}
          onSuccess={handleGoogleLogin}
          onFailure={handleGoogleLoginFailed}
        />
      </div>
    </div>
  );
}
