/* eslint-disable eqeqeq */
import React, { useEffect, useState } from 'react';
import axios from 'axios';
import { Link } from 'react-router-dom';
import { API_URL } from '../../config/keys';
import { loggedIn } from '../../helpers/services/loggedIn.service';
import '../../styles/topic/TopicList.css';
import Button from '../utility/Button';
import AuthService from '../../helpers/services/auth.service';

export default function TopicList(props) {
  const [topics, setTopics] = useState([]);
  const isAdmin = loggedIn ? AuthService.getCurrentUser().data.role : "unregistered";

  useEffect(() => {
    const fetch = async () => {
      const response = await axios.get(`${API_URL}/topics`);
      setTopics(response?.data?.data);
    };
    fetch();
  }, []);

  return (
    <div className="topicContainer">
      <div className="headerTopic">
        <h1>Topic List</h1>
        {loggedIn && isAdmin == "admin" && (
          <Button text="Create Topic" color="orange" url="create/topic" />
        )}
      </div>
      <div className="topics">
        {topics.map((value) => (
          <Link
            to={`topic/${value.name}/page/1`}
            style={{ textDecoration: 'none' }}
          >
            <div className="topicCard">
              <div id="threadCardHeader">
                <h2 id="judul">{value.name}</h2>
              </div>
            </div>
          </Link>
        ))}
      </div>
    </div>
  );
}
