import axios from 'axios';
import { API_URL } from '../../config/keys';

class AuthService {
  async login(email, password) {
    const response = await axios.post(`${API_URL}/users/signin`, {
      email,
      password,
    });
    if (response?.data?.token)
      localStorage.setItem('user', JSON.stringify(response.data));

    return response;
  }
  logout() {
    localStorage.removeItem('user');
    localStorage.removeItem('callback');
  }

  async register(username, email, password) {
    const response = await axios.post(`${API_URL}/users/signup`, {
      user: {
        username,
        email,
        password,
      },
    });
    await this.login(email, password);
    return response;
  }

  getCurrentUser() {
    return JSON.parse(localStorage.getItem('user'));
  }

  getCurrentUserId() {
    try {
      return this.getCurrentUser()?.data?.id;
    } catch (error) {
      return '';
    }
  }

  getCurrentUsername() {
    try {
      return this.getCurrentUser()?.data?.username;
    } catch (error) {
      return '';
    }
  }
}

export default new AuthService();
